#
# spec file for package compiz-manager
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           compiz-manager
Version:        0.7.0
Release:        2.3
Summary:        Wrapper script to launch Compiz with proper options
License:        GPL-2.0+
Group:          System/X11/Utilities
Url:            https://github.com/raveit65/compiz-manager
Source:         https://github.com/raveit65/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source2:        Compiz.desktop
Source3:        config.skel
# PATCH-FEATURE-OPENSUSE compiz-manager-setup.patch dimstar@opensuse.org -- Configure compiz-manager to fit the openSUSE.
Patch0:         compiz-manager-setup.patch
BuildRequires:  update-desktop-files
Requires:       compiz < 0.9
Requires:       util-linux
BuildArch:      noarch

%description
This script detects what options to pass to Compiz to get it
started, and start a default plugin and possibly window decorator.

%prep
%autosetup -p1

cp -f %{SOURCE2} Compiz.desktop
cp -f %{SOURCE3} config.skel

%build
# Nothing to build.

%install
install -Dm 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dm 0644 COPYING %{buildroot}%{_docdir}/%{name}/COPYING
install -Dm 0644 Compiz.desktop %{buildroot}%{_datadir}/compiz-manager/Compiz.desktop
install -Dm 0644 config.skel %{buildroot}%{_datadir}/compiz-manager/config.skel

%suse_update_desktop_file %{buildroot}%{_datadir}/compiz-manager/Compiz.desktop

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Sat Dec 19 2015 sor.alexei@meowr.ru
- Update to 0.7.0:
  * Add MATE support.
  * Add Marco fallback WM.
  * Do not use Emerald by default.
  * Remove blacklisting: deeply outdated.
  * Software rasteriser check (bsc#479060).
  * Other minor fixes.
- Rebase compiz-manager-setup.patch.
- Remove compiz-manager-detect-multiple-graphic-cards.patch,
  bug-469785-disable-loose-binding.diff,
  compiz-manager-avoid-sw-rast-bug-479060.diff,
  compiz-manager-dry_run.patch, compiz-manager-fallback_xterm.patch,
  compiz-manager-sbin-lspci.patch, compiz-manager-nouveau.patch,
  compiz-manager-sm-client-id.patch: fixed upstream.
* Fri Nov 20 2015 sor.alexei@meowr.ru
- Fix config.skel: was configured for Compiz 0.9.x.
- Remove Compiz 0.9.x plugins from compiz-manager-setup.patch.
- Enhance compiz-manager-detect-multiple-graphic-cards.patch:
  original regular expressions are faulty.
* Mon Nov  9 2015 sor.alexei@meowr.ru
- Update and fix compiz-manager-setup.patch (Compiz 0.9.x stuff,
  lack of MATE compatibility, $XDG_CONFIG_HOME ignoring).
- Add Marco to compiz-manager-fallback_xterm.patch.
- Rebase and rename compiz-manager-bnc564536.patch to
  compiz-manager-sbin-lspci.patch.
* Sun Oct 19 2014 Led <ledest@gmail.com>
- fix bashism
- update patches:
  * compiz-manager-setup.patch
* Thu May 31 2012 ku.b@gmx.de
- Requires Compiz < 0.9
* Mon Oct  3 2011 dimstar@opensuse.org
- Fix typo in patch tagline.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Sun Feb 13 2011 dimstar@opensuse.org
- Add shift switcher to default configuraiton (Alt-Tab)
- Disable audible bell in default coniguration
- Use zoom effect for open and close.
* Tue Aug 10 2010 badshah400@gmail.com
- Added the Place plugin to default configuration, configured to
  smart placing
* Mon Aug  2 2010 dimstar@opensuse.org
- Update default configuration based on compiz 0.9.0's new internal
  structure.
- Add composite and opengl to mandatory plugins, this should fix
  bnc#625689.
* Tue Jul 27 2010 dimstar@opensuse.org
- Update compiz-manager-setup.patch to reflect renamed plugin names
  decoration -> decor (bnc#625689).
- Copy the config skeleton to the correct location: upstream moved
  from ~/.config/compiz to ~/.config/compiz-1.
- Require compiz >= 0.9 by this current version of compiz-manager.
* Tue Jul 20 2010 dimstar@opensuse.org
- Add compiz-manager-nouveau.patch: define nouveau driver as
  sufficient to handle compiz.
* Thu Jul  8 2010 cyberorg@opensuse.org
- remove splash form default, add thumbnail and zoom
* Mon Jun 14 2010 dimstar@opensuse.org
- Disable the fglrx workaround by default again. It was introduced
  during testing of bnc597596. Reported in bnc#614208.
* Fri Jun 11 2010 dimstar@opensuse.org
- bnc#613597: Add fade to the default configuration
* Wed Jun  2 2010 dimstar@opensuse.org
- Add compiz-manager-sm-client-id patch to avoid a 10 second
  timeout of gnome-session waiting for the window manager to
  register with the session.
- Default config: enable as_fglrx_xgl_fix workaround.
* Wed May 26 2010 dimstar@opensuse.org
- Integrate default config logic into compiz-manager-setup.patch.
  If the user does not yet have a Default.ini, we'll drop a
  default in his configuration.
- In case the user runs a gnome-session, we append gnomecompat to
  the list of expected plugins (bnc#607847)
- the mandatory plugin list was reduced minimal list (bnc#607092)
* Thu Apr 22 2010 dimstar@opensuse.org
- Require: util-linux to ensure we have "which". Almost everything
  would fail without it.
- Add a set of default plugins to be loaded (bnc#575559):
  + core png cube decoration move minimize resize switcher wobbly
    rotate
* Thu Mar 25 2010 dimstar@opensuse.org
- Fix typo in compiz-manager-dry_run.patch.
* Thu Dec 17 2009 dimstar@opensuse.org
- Modify compiz-manager-bnc564536.patch: use the $LIB variable
  which is introduced by compis-manager-setup.patch.
* Wed Dec 16 2009 dimstar@opensuse.org
- Add compiz-manager-bnc564536.patch:
  + Properly detect loaded drivers also on x86_64 systems
  + Fix regex - there are sometimes double-/ in paths
  + Run lspci from /sbin. /sbin is not in $PATH for regular users.
* Mon Nov 23 2009 dimstar@opensuse.org
- Add compiz-manager-fallback_xterm.patch - Have a last fallback to
  xterm in case nothing else goes
- Add compiz-manager-dry_run.patch - Re-introduce CM_DRY variable;
  both patches from upstream git.
* Mon Nov 16 2009 dimstar@opensuse.org
- Update to version 0.6.0
- Drop patches:
  + NOMAd
  + cleanup (merged)
  + blacklisting of drivers (a lot of work happened)
- Clean spec file using spec-cleaner
- bug-469785-disable-loose-binding.diff has been updated to be in
  sync with upstream. Patch taken from upstream commit 06ca70.
- Add compiz-manager-setup.patch to integrate compiz-manager in
  the openSUSE eco system.
- Fix lint errors (desktop file, empty build section added)
* Wed Oct  7 2009 dimstar@opensuse.org
- Update compiz-manager-blacklist-865G.patch to whitelist Intel
  965Q chipset (bnc#543989).
* Sun Aug 30 2009 aj@suse.de
- BuildArch and ExclusiveArch conflict with rpm 4.7 - fix spec file.
* Mon Mar 16 2009 davidr@novell.com
- Avoid software rasterizer. (bnc#479060)
* Tue Feb 24 2009 davidr@novell.com
- Disable use of --loose-binding option (bnc#469785)
* Tue Jan 27 2009 rodrigo@novell.com
- Detect correctly when running on more than 1 graphic card (bnc#440273)
* Tue Dec  2 2008 rodrigo@novell.com
- Remove Intel 965GM from the black list (bnc#444482)
* Tue Nov 18 2008 rodrigo@novell.com
- Review and merge changes from X11:Compiz
* Tue Nov 18 2008 cyberorg@opensuse.org
- compiz-manager-blacklist-865G.patch from mmeeks@novell.com
  Remove Intel 865G till upstream mesa get fixed (bnc#445690)
* Thu Nov  6 2008 rodrigo@novell.com
- Added compiz-manager-cm-dry.patch to return correct error
  code to calling process (bnc#407729)
* Mon Oct  6 2008 rodrigo@novell.com
- Remove re-added by mistake whitelist file.
- Review and merge changes from X11:Compiz
* Sat Oct  4 2008 cyberorg@opensuse.org
- Fix fallback window manager, fixes bnc #432327
* Fri Sep 19 2008 rodrigo@suse.de
- Remove whitelist-radeonrandr12.diff
- Added compiz-manager-blacklist-ati-and-radeon.patch to remove
  ATI and RADEON from WHITELIST, since they give many problems
  even when using autodetection (bnc#427738)
* Tue Sep  9 2008 davidr@novell.com
- Xdmx support.
* Tue May 20 2008 rodrigo@suse.de
- Update from buildservice:
  * Removed --replace from COMPIZ_OPTIONS
  * Fix LD_LIBRARY_PATH to use $LIB and unset USE_EMERALD
* Thu May  1 2008 sndirsch@suse.de
- added radeonrandr12 to whitelist
* Tue Apr 15 2008 aj@suse.de
- Fix build, own data directory.
* Mon Apr 14 2008 sndirsch@suse.de
- Update from buildservice.
* Mon Apr 14 2008 cyberorg@cyberorg.info
- compiz-manager cleanup
* Fri Mar 14 2008 aj@suse.de
- Package /usr/share/compiz-manager as well.
* Wed Mar 12 2008 cyberorg@cyberorg.info
- added dry run CM_DRY=yes compiz-manager to use it
* Tue Mar 11 2008 cyberorg@cyberorg.info
- remove extra deps
- build for all archs that xgl supports
- add Compiz.desktop source
* Tue Mar 11 2008 cyberorg@cyberorg.info
- cleanup spec
- remove --sm-client-id
* Fri Feb  1 2008 cyberorg@cyberorg.info
- Nvidia and fglrx variables
- remove gnome-wm hack
- remove autostart
* Tue Oct 23 2007 cyberorg@cyberorg.info
- gnome path fix for 10.2
* Sun Oct 21 2007 cyberorg@cyberorg.info
- fix patching if gnome-wm not available
- fix symlinking -sf
* Sat Oct 20 2007 cyberorg@cyberorg.info
- Easily disable compiz auto-launch
- run "touch $HOME/.config/compiz/disable-compiz" to disable
* Fri Oct 19 2007 cyberorg@cyberorg.info
- release 0.6.0
- Adds a wrapper script to launch compiz
- Creates a launcher in kde and gnome autostart
- Comments compiz launching from gnome-wm
